Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.term
Class FloatTerm

    java.lang.Object
      gnu.prolog.term.Term
          gnu.prolog.term.AtomicTerm
              gnu.prolog.term.NumericTerm
                  gnu.prolog.term.FloatTerm

All Implemented Interfaces:
  Serializable, Cloneable

    public class FloatTerm

extends NumericTerm

Floating point number term (uses double)

Version:
  0.0.1
Author:
  Constantine Plotnikov
See Also:
  Serialized Form

Field Summary
`double` | `value` value of term

Fields inherited from class gnu.prolog.term.Term
`ATOM, COMPOUND, FLOAT, INTEGER, JAVA_OBJECT, UNKNOWN, VARIABLE`

Constructor Summary
`FloatTerm(double val)` a constructor
`FloatTerm(String str)` get floating point number term

Method Summary
`int` | `getTermType()` get type of term

Methods inherited from class gnu.prolog.term.AtomicTerm
`clone, clone`

Methods inherited from class gnu.prolog.term.Term
`dereference, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public final double value

  value of term

Constructor Detail

### FloatTerm

    public FloatTerm(String str)

  get floating point number term

  Parameters:
    `str` - string representation of float number
  Throws:
    `IllegalArgumentException` - when str is not valid string

### FloatTerm

    public FloatTerm(double val)

  a constructor

  Parameters:
    `val` - double value

Method Detail

### getTermType

    public int getTermType()

  get type of term

  Overrides:
    `getTermType` in class `Term`
  Returns:
    type of term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD